のねのBlog

パソコンの問題や、ソフトウェアの開発で起きた問題など書いていきます。よろしくお願いします^^。

make -n install

~/layout/oss/glib-2.46.2:$ make -n install

configureのときに、pythonがうまく動いていない。

configure:7329: checking for a Python interpreter with version >= 2.5
configure:7346: python -c import sys # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. # map returns an iterator in Python 3.0 and a list in 2.x minver = list(map(int, '2.5'.split('.'))) + [0, 0, 0] minverhex = 0 # xrange is not present in Python 3.0 and range returns an iterator for i in list(range(0, 4)): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
ImportError: No module named site
configure:7349: $? = 1
configure:7346: python2 -c import sys # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. # map returns an iterator in Python 3.0 and a list in 2.x minver = list(map(int, '2.5'.split('.'))) + [0, 0, 0] minverhex = 0 # xrange is not present in Python 3.0 and range returns an iterator for i in list(range(0, 4)): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
ImportError: No module named site
configure:7349: $? = 1
configure:7346: python3 -c import sys # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. # map returns an iterator in Python 3.0 and a list in 2.x minver = list(map(int, '2.5'.split('.'))) + [0, 0, 0] minverhex = 0 # xrange is not present in Python 3.0 and range returns an iterator for i in list(range(0, 4)): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
Fatal Python error: Py_Initialize: unable to load the file system codec
ImportError: No module named 'encodings'
~/.bashrc
export PYTHONPATH=/mingw64/lib/python2.7:$PYTHONPATH


Pythonのところでエラー

~/layout/oss/glib-2.46.2:$ make -n install
make  install-recursive
make[1]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2' に入ります
fail=; \
if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '1'; then false; elif test -n 'x86_64-pc-msys'; then true; elif test -n '4.1' && test -n '/home/u01/layout/oss/glib-2.46.2'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \     ]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs   ]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \
  failcom='fail=yes'; \
else \
  failcom='exit 1'; \
fi; \
dot_seen=no; \
target=`echo install-recursive | sed s/-recursive//`; \
case "install-recursive" in \
  distclean-* | maintainer-clean-*) list='. m4macros glib gmodule gthread gobject gio po docs tests build' ;; \
  *) list='. m4macros glib gmodule gthread gobject gio po docs tests' ;; \
esac; \
for subdir in $list; do \
  echo "Making $target in $subdir"; \
  if test "$subdir" = "."; then \
    dot_seen=yes; \
    local_target="$target-am"; \
  else \
    local_target="$target"; \
  fi; \
  (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \
  || eval $failcom; \
done; \
if test "$dot_seen" = "no"; then \
  make  "$target-am" || exit 1; \
fi; test -z "$fail"
Making install in .
make[2]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2' に入ります
test -f config.h || rm -f stamp-h1
test -f config.h || make  stamp-h1
make  install-exec-am install-data-am
make[3]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2' に入ります
:
list='glib-gettextize'; test -n "/home/u01/usr/bin" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p '/home/u01/usr/bin'"; \
  /usr/bin/mkdir -p "/home/u01/usr/bin" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  if test -f "$d$p"; then echo "$d$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n' \
    -e 'h;s|.*|.|' \
    -e 'p;x;s,.*/,,;s,x,x,' | sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) { files[d] = files[d] " " $1; \
      if (++n[d] == 40) { \
        print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
    else { print "f", d "/" $4, $1 } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
     if test "$dir" = .; then dir=; else dir=/$dir; fi; \
     test -z "$files" || { \
       echo " /usr/bin/install -c $files '/home/u01/usr/bin$dir'"; \
       /usr/bin/install -c $files "/home/u01/usr/bin$dir" || exit $?; \
     } \
; done
:
list=''; test -n "" || list=; \
list2=; for p in $list; do \
  if test -f $p; then \
    list2="$list2 $p"; \
  else :; fi; \
done; \
test -z "$list2" || { \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
  echo " /bin/sh ./libtool   --mode=install /usr/bin/install -c  $list2 ''"; \
  /bin/sh ./libtool   --mode=install /usr/bin/install -c  $list2 ""; \
}
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do echo "$p $p"; done | \
sed 's/.exe$//' | \
while read p p1; do if test -f $p \
 || test -f $p1 \
  ; then echo "$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n;h' \
    -e 's|.*|.|' \
    -e 'p;x;s,.*/,,;s/.exe$//;s,x,x,;s/$/.exe/' | \
sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) files[d] = files[d] " " $1; \
    else { print "f", $3 "/" $4, $1; } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
    if test "$dir" = .; then dir=; else dir=/$dir; fi; \
    test -z "$files" || { \
    echo "  /bin/sh ./libtool   --mode=install /usr/bin/install -c $files '$dir'"; \
     /bin/sh ./libtool   --mode=install /usr/bin/install -c $files "$dir" || exit $?; \
    } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  if test -f "$d$p"; then echo "$d$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n' \
    -e 'h;s|.*|.|' \
    -e 'p;x;s,.*/,,;s,x,x,' | sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) { files[d] = files[d] " " $1; \
      if (++n[d] == 40) { \
        print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
    else { print "f", d "/" $4, $1 } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
     if test "$dir" = .; then dir=; else dir=/$dir; fi; \
     test -z "$files" || { \
       echo " /usr/bin/install -c $files '$dir'"; \
       /usr/bin/install -c $files "$dir" || exit $?; \
     } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  echo "$d$p"; \
done | sed '$!N;$!N;$!N;$!N;$!N;$!N;$!N;s/\n/ /g' | sed '$!N;$!N;$!N;$!N;s/\n/ /g' | \
while read files; do \
  echo " /usr/bin/install -c -m 644 $files ''"; \
  /usr/bin/install -c -m 644 $files "" || exit $?; \
done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
srcdirstrip=`echo "." | sed 's/[].[^$\\*|]/\\\\&/g'`; for p in $list; do echo "$p $p"; done | sed "s| $srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$,\1,' | gawk 'BEGIN { files["."] = "" } { files[$2] = files[$2] " " $1; if (++n[$2] == 40) { print $2, files[$2]; n[$2] = 0; files[$2] = "" } } END { for (dir in files) print dir, files[dir] }' | while read dir files; do \
  xfiles=; for file in $files; do \
    if test -f "$file"; then xfiles="$xfiles $file"; \
    else xfiles="$xfiles ./$file"; fi; done; \
  test -z "$xfiles" || { \
    test "x$dir" = x. || { \
      echo " /usr/bin/mkdir -p '/$dir'"; \
      /usr/bin/mkdir -p "/$dir"; }; \
    echo " /usr/bin/install -c -m 644 $xfiles '/$dir'"; \
    /usr/bin/install -c -m 644 $xfiles "/$dir" || exit $?; }; \
done
:
list='glib-2.0.pc gobject-2.0.pc gmodule-2.0.pc gmodule-export-2.0.pc gmodule-no-export-2.0.pc gthread-2.0.pc gio-2.0.pc  gio-windows-2.0.pc'; test -n "/home/u01/usr/lib/pkgconfig" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p '/home/u01/usr/lib/pkgconfig'"; \
  /usr/bin/mkdir -p "/home/u01/usr/lib/pkgconfig" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  echo "$d$p"; \
done | sed '$!N;$!N;$!N;$!N;$!N;$!N;$!N;s/\n/ /g' | sed '$!N;$!N;$!N;$!N;s/\n/ /g' | \
while read files; do \
  echo " /usr/bin/install -c -m 644 $files '/home/u01/usr/lib/pkgconfig'"; \
  /usr/bin/install -c -m 644 $files "/home/u01/usr/lib/pkgconfig" || exit $?; \
done
make[3]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2' から出ます
make[2]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2' から出ます
Making install in m4macros
make[2]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/m4macros' に入ります
make  install-am
make[3]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/m4macros' に入ります
make  install-exec-am install-data-am
make[4]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/m4macros' に入ります
make[4]: 'install-exec-am' に対して行うべき事はありません.
:
list=''; test -n "" || list=; \
list2=; for p in $list; do \
  if test -f $p; then \
    list2="$list2 $p"; \
  else :; fi; \
done; \
test -z "$list2" || { \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
  echo " /bin/sh ../libtool   --mode=install /usr/bin/install -c  $list2 ''"; \
  /bin/sh ../libtool   --mode=install /usr/bin/install -c  $list2 ""; \
}
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do echo "$p $p"; done | \
sed 's/.exe$//' | \
while read p p1; do if test -f $p \
 || test -f $p1 \
  ; then echo "$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n;h' \
    -e 's|.*|.|' \
    -e 'p;x;s,.*/,,;s/.exe$//;s,x,x,;s/$/.exe/' | \
sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) files[d] = files[d] " " $1; \
    else { print "f", $3 "/" $4, $1; } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
    if test "$dir" = .; then dir=; else dir=/$dir; fi; \
    test -z "$files" || { \
    echo "  /bin/sh ../libtool   --mode=install /usr/bin/install -c $files '$dir'"; \
     /bin/sh ../libtool   --mode=install /usr/bin/install -c $files "$dir" || exit $?; \
    } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  if test -f "$d$p"; then echo "$d$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n' \
    -e 'h;s|.*|.|' \
    -e 'p;x;s,.*/,,;s,x,x,' | sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) { files[d] = files[d] " " $1; \
      if (++n[d] == 40) { \
        print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
    else { print "f", d "/" $4, $1 } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
     if test "$dir" = .; then dir=; else dir=/$dir; fi; \
     test -z "$files" || { \
       echo " /usr/bin/install -c $files '$dir'"; \
       /usr/bin/install -c $files "$dir" || exit $?; \
     } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  echo "$d$p"; \
done | sed '$!N;$!N;$!N;$!N;$!N;$!N;$!N;s/\n/ /g' | sed '$!N;$!N;$!N;$!N;s/\n/ /g' | \
while read files; do \
  echo " /usr/bin/install -c -m 644 $files ''"; \
  /usr/bin/install -c -m 644 $files "" || exit $?; \
done
:
list='glib-2.0.m4 glib-gettext.m4 gsettings.m4'; test -n "/home/u01/usr/share/aclocal" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p '/home/u01/usr/share/aclocal'"; \
  /usr/bin/mkdir -p "/home/u01/usr/share/aclocal" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  echo "$d$p"; \
done | sed '$!N;$!N;$!N;$!N;$!N;$!N;$!N;s/\n/ /g' | sed '$!N;$!N;$!N;$!N;s/\n/ /g' | \
while read files; do \
  echo " /usr/bin/install -c -m 644 $files '/home/u01/usr/share/aclocal'"; \
  /usr/bin/install -c -m 644 $files "/home/u01/usr/share/aclocal" || exit $?; \
done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
srcdirstrip=`echo "." | sed 's/[].[^$\\*|]/\\\\&/g'`; for p in $list; do echo "$p $p"; done | sed "s| $srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$,\1,' | gawk 'BEGIN { files["."] = "" } { files[$2] = files[$2] " " $1; if (++n[$2] == 40) { print $2, files[$2]; n[$2] = 0; files[$2] = "" } } END { for (dir in files) print dir, files[dir] }' | while read dir files; do \
  xfiles=; for file in $files; do \
    if test -f "$file"; then xfiles="$xfiles $file"; \
    else xfiles="$xfiles ./$file"; fi; done; \
  test -z "$xfiles" || { \
    test "x$dir" = x. || { \
      echo " /usr/bin/mkdir -p '/$dir'"; \
      /usr/bin/mkdir -p "/$dir"; }; \
    echo " /usr/bin/install -c -m 644 $xfiles '/$dir'"; \
    /usr/bin/install -c -m 644 $xfiles "/$dir" || exit $?; }; \
done
make[4]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/m4macros' から出ます
make[3]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/m4macros' から出ます
make[2]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/m4macros' から出ます
Making install in glib
make[2]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib' に入ります
make  install-recursive
make[3]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib' に入ります
fail=; \
if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '3'; then false; elif test -n 'x86_64-pc-msys'; then true; elif test -n '4.1' && test -n '/home/u01/layout/oss/glib-2.46.2/glib'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \        ]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs   ]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \
  failcom='fail=yes'; \
else \
  failcom='exit 1'; \
fi; \
dot_seen=no; \
target=`echo install-recursive | sed s/-recursive//`; \
case "install-recursive" in \
  distclean-* | maintainer-clean-*) list='libcharset gnulib pcre update-pcre tests' ;; \
  *) list='libcharset gnulib pcre  update-pcre . tests' ;; \
esac; \
for subdir in $list; do \
  echo "Making $target in $subdir"; \
  if test "$subdir" = "."; then \
    dot_seen=yes; \
    local_target="$target-am"; \
  else \
    local_target="$target"; \
  fi; \
  (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \
  || eval $failcom; \
done; \
if test "$dot_seen" = "no"; then \
  make  "$target-am" || exit 1; \
fi; test -z "$fail"
Making install in libcharset
make[4]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/libcharset' に入ります
make  install-am
make[5]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/libcharset' に入ります
make  install-exec-am install-data-am
make[6]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/libcharset' に入ります
/bin/sh /home/u01/layout/oss/glib-2.46.2/install-sh -d /home/u01/usr/lib
if test -f /home/u01/usr/lib/charset.alias; then \
  sed -f ref-add.sed /home/u01/usr/lib/charset.alias > /home/u01/usr/lib/charset.tmp ; \
  /usr/bin/install -c -m 644 /home/u01/usr/lib/charset.tmp /home/u01/usr/lib/charset.alias ; \
  rm -f /home/u01/usr/lib/charset.tmp ; \
else \
  if test no = no; then \
    sed -f ref-add.sed charset.alias > /home/u01/usr/lib/charset.tmp ; \
    /usr/bin/install -c -m 644 /home/u01/usr/lib/charset.tmp /home/u01/usr/lib/charset.alias ; \
    rm -f /home/u01/usr/lib/charset.tmp ; \
  fi ; \
fi
:
list=''; test -n "" || list=; \
list2=; for p in $list; do \
  if test -f $p; then \
    list2="$list2 $p"; \
  else :; fi; \
done; \
test -z "$list2" || { \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
  echo " /bin/sh ../../libtool   --mode=install /usr/bin/install -c  $list2 ''"; \
  /bin/sh ../../libtool   --mode=install /usr/bin/install -c  $list2 ""; \
}
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do echo "$p $p"; done | \
sed 's/.exe$//' | \
while read p p1; do if test -f $p \
 || test -f $p1 \
  ; then echo "$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n;h' \
    -e 's|.*|.|' \
    -e 'p;x;s,.*/,,;s/.exe$//;s,x,x,;s/$/.exe/' | \
sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) files[d] = files[d] " " $1; \
    else { print "f", $3 "/" $4, $1; } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
    if test "$dir" = .; then dir=; else dir=/$dir; fi; \
    test -z "$files" || { \
    echo "  /bin/sh ../../libtool   --mode=install /usr/bin/install -c $files '$dir'"; \
     /bin/sh ../../libtool   --mode=install /usr/bin/install -c $files "$dir" || exit $?; \
    } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  if test -f "$d$p"; then echo "$d$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n' \
    -e 'h;s|.*|.|' \
    -e 'p;x;s,.*/,,;s,x,x,' | sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) { files[d] = files[d] " " $1; \
      if (++n[d] == 40) { \
        print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
    else { print "f", d "/" $4, $1 } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
     if test "$dir" = .; then dir=; else dir=/$dir; fi; \
     test -z "$files" || { \
       echo " /usr/bin/install -c $files '$dir'"; \
       /usr/bin/install -c $files "$dir" || exit $?; \
     } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  echo "$d$p"; \
done | sed '$!N;$!N;$!N;$!N;$!N;$!N;$!N;s/\n/ /g' | sed '$!N;$!N;$!N;$!N;s/\n/ /g' | \
while read files; do \
  echo " /usr/bin/install -c -m 644 $files ''"; \
  /usr/bin/install -c -m 644 $files "" || exit $?; \
done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
srcdirstrip=`echo "." | sed 's/[].[^$\\*|]/\\\\&/g'`; for p in $list; do echo "$p $p"; done | sed "s| $srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$,\1,' | gawk 'BEGIN { files["."] = "" } { files[$2] = files[$2] " " $1; if (++n[$2] == 40) { print $2, files[$2]; n[$2] = 0; files[$2] = "" } } END { for (dir in files) print dir, files[dir] }' | while read dir files; do \
  xfiles=; for file in $files; do \
    if test -f "$file"; then xfiles="$xfiles $file"; \
    else xfiles="$xfiles ./$file"; fi; done; \
  test -z "$xfiles" || { \
    test "x$dir" = x. || { \
      echo " /usr/bin/mkdir -p '/$dir'"; \
      /usr/bin/mkdir -p "/$dir"; }; \
    echo " /usr/bin/install -c -m 644 $xfiles '/$dir'"; \
    /usr/bin/install -c -m 644 $xfiles "/$dir" || exit $?; }; \
done
make[6]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/libcharset' から出ます
make[5]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/libcharset' から出ます
make[4]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/libcharset' から出ます
Making install in gnulib
make[4]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/gnulib' に入ります
make  install-am
make[5]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/gnulib' に入ります
make  install-exec-am install-data-am
make[6]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/gnulib' に入ります
make[6]: 'install-exec-am' に対して行うべき事はありません.
:
list=''; test -n "" || list=; \
list2=; for p in $list; do \
  if test -f $p; then \
    list2="$list2 $p"; \
  else :; fi; \
done; \
test -z "$list2" || { \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
  echo " /bin/sh ../../libtool   --mode=install /usr/bin/install -c  $list2 ''"; \
  /bin/sh ../../libtool   --mode=install /usr/bin/install -c  $list2 ""; \
}
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do echo "$p $p"; done | \
sed 's/.exe$//' | \
while read p p1; do if test -f $p \
 || test -f $p1 \
  ; then echo "$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n;h' \
    -e 's|.*|.|' \
    -e 'p;x;s,.*/,,;s/.exe$//;s,x,x,;s/$/.exe/' | \
sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) files[d] = files[d] " " $1; \
    else { print "f", $3 "/" $4, $1; } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
    if test "$dir" = .; then dir=; else dir=/$dir; fi; \
    test -z "$files" || { \
    echo "  /bin/sh ../../libtool   --mode=install /usr/bin/install -c $files '$dir'"; \
     /bin/sh ../../libtool   --mode=install /usr/bin/install -c $files "$dir" || exit $?; \
    } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  if test -f "$d$p"; then echo "$d$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n' \
    -e 'h;s|.*|.|' \
    -e 'p;x;s,.*/,,;s,x,x,' | sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) { files[d] = files[d] " " $1; \
      if (++n[d] == 40) { \
        print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
    else { print "f", d "/" $4, $1 } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
     if test "$dir" = .; then dir=; else dir=/$dir; fi; \
     test -z "$files" || { \
       echo " /usr/bin/install -c $files '$dir'"; \
       /usr/bin/install -c $files "$dir" || exit $?; \
     } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  echo "$d$p"; \
done | sed '$!N;$!N;$!N;$!N;$!N;$!N;$!N;s/\n/ /g' | sed '$!N;$!N;$!N;$!N;s/\n/ /g' | \
while read files; do \
  echo " /usr/bin/install -c -m 644 $files ''"; \
  /usr/bin/install -c -m 644 $files "" || exit $?; \
done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
srcdirstrip=`echo "." | sed 's/[].[^$\\*|]/\\\\&/g'`; for p in $list; do echo "$p $p"; done | sed "s| $srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$,\1,' | gawk 'BEGIN { files["."] = "" } { files[$2] = files[$2] " " $1; if (++n[$2] == 40) { print $2, files[$2]; n[$2] = 0; files[$2] = "" } } END { for (dir in files) print dir, files[dir] }' | while read dir files; do \
  xfiles=; for file in $files; do \
    if test -f "$file"; then xfiles="$xfiles $file"; \
    else xfiles="$xfiles ./$file"; fi; done; \
  test -z "$xfiles" || { \
    test "x$dir" = x. || { \
      echo " /usr/bin/mkdir -p '/$dir'"; \
      /usr/bin/mkdir -p "/$dir"; }; \
    echo " /usr/bin/install -c -m 644 $xfiles '/$dir'"; \
    /usr/bin/install -c -m 644 $xfiles "/$dir" || exit $?; }; \
done
make[6]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/gnulib' から出ます
make[5]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/gnulib' から出ます
make[4]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/gnulib' から出ます
Making install in pcre
make[4]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/pcre' に入ります
make  install-am
make[5]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/pcre' に入ります
make  install-exec-am install-data-am
make[6]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/pcre' に入ります
make[6]: 'install-exec-am' に対して行うべき事はありません.
:
list=''; test -n "" || list=; \
list2=; for p in $list; do \
  if test -f $p; then \
    list2="$list2 $p"; \
  else :; fi; \
done; \
test -z "$list2" || { \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
  echo " /bin/sh ../../libtool   --mode=install /usr/bin/install -c  $list2 ''"; \
  /bin/sh ../../libtool   --mode=install /usr/bin/install -c  $list2 ""; \
}
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do echo "$p $p"; done | \
sed 's/.exe$//' | \
while read p p1; do if test -f $p \
 || test -f $p1 \
  ; then echo "$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n;h' \
    -e 's|.*|.|' \
    -e 'p;x;s,.*/,,;s/.exe$//;s,x,x,;s/$/.exe/' | \
sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) files[d] = files[d] " " $1; \
    else { print "f", $3 "/" $4, $1; } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
    if test "$dir" = .; then dir=; else dir=/$dir; fi; \
    test -z "$files" || { \
    echo "  /bin/sh ../../libtool   --mode=install /usr/bin/install -c $files '$dir'"; \
     /bin/sh ../../libtool   --mode=install /usr/bin/install -c $files "$dir" || exit $?; \
    } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  if test -f "$d$p"; then echo "$d$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n' \
    -e 'h;s|.*|.|' \
    -e 'p;x;s,.*/,,;s,x,x,' | sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  { d=$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    if ($2 == $4) { files[d] = files[d] " " $1; \
      if (++n[d] == 40) { \
        print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
    else { print "f", d "/" $4, $1 } } \
  END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
     if test "$dir" = .; then dir=; else dir=/$dir; fi; \
     test -z "$files" || { \
       echo " /usr/bin/install -c $files '$dir'"; \
       /usr/bin/install -c $files "$dir" || exit $?; \
     } \
; done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do \
  if test -f "$p"; then d=; else d="./"; fi; \
  echo "$d$p"; \
done | sed '$!N;$!N;$!N;$!N;$!N;$!N;$!N;s/\n/ /g' | sed '$!N;$!N;$!N;$!N;s/\n/ /g' | \
while read files; do \
  echo " /usr/bin/install -c -m 644 $files ''"; \
  /usr/bin/install -c -m 644 $files "" || exit $?; \
done
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
srcdirstrip=`echo "." | sed 's/[].[^$\\*|]/\\\\&/g'`; for p in $list; do echo "$p $p"; done | sed "s| $srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$,\1,' | gawk 'BEGIN { files["."] = "" } { files[$2] = files[$2] " " $1; if (++n[$2] == 40) { print $2, files[$2]; n[$2] = 0; files[$2] = "" } } END { for (dir in files) print dir, files[dir] }' | while read dir files; do \
  xfiles=; for file in $files; do \
    if test -f "$file"; then xfiles="$xfiles $file"; \
    else xfiles="$xfiles ./$file"; fi; done; \
  test -z "$xfiles" || { \
    test "x$dir" = x. || { \
      echo " /usr/bin/mkdir -p '/$dir'"; \
      /usr/bin/mkdir -p "/$dir"; }; \
    echo " /usr/bin/install -c -m 644 $xfiles '/$dir'"; \
    /usr/bin/install -c -m 644 $xfiles "/$dir" || exit $?; }; \
done
make[6]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/pcre' から出ます
make[5]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/pcre' から出ます
make[4]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/pcre' から出ます
Making install in update-pcre
make[4]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/update-pcre' に入ります
make  install-am
make[5]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/update-pcre' に入ります
make  install-exec-am install-data-am
make[6]: ディレクトリ '/home/u01/layout/oss/glib-2.46.2/glib/update-pcre' に入ります
make[6]: 'install-exec-am' に対して行うべき事はありません.
:
list=''; test -n "" || list=; \
list2=; for p in $list; do \
  if test -f $p; then \
    list2="$list2 $p"; \
  else :; fi; \
done; \
test -z "$list2" || { \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
  echo " /bin/sh ../../libtool   --mode=install /usr/bin/install -c  $list2 ''"; \
  /bin/sh ../../libtool   --mode=install /usr/bin/install -c  $list2 ""; \
}
:
list=''; test -n "" || list=; \
if test -n "$list"; then \
  echo " /usr/bin/mkdir -p ''"; \
  /usr/bin/mkdir -p "" || exit 1; \
fi; \
for p in $list; do echo "$p $p"; done | \
sed 's/.exe$//' | \
while read p p1; do if test -f $p \
 || test -f $p1 \
  ; then echo "$p"; echo "$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n;h' \
    -e 's|.*|.|' \
    -e 'p;x;s,.*/,,;s/.exe$//;s,x,x,;s/$/.exe/' | \
sed 'N;N;N;s,\n, ,g' | \
gawk 'BEGIN { files["."] = ""; dirs["."] = 1 } \